description

# Symbol class Null safety

Opaque name used by mirrors, invocations and Function.apply.

## Constructors

Symbol(String name)
  Constructs a new Symbol representing the provided name. [...]
  const
  factory

## Properties

hashCode → int
  Returns a hash code compatible with operator==. [...]
  read-only, override
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  Symbols are equal to other symbols that correspond to the same member name. [...]
  override

## Constants

empty → const Symbol
  The empty symbol. [...]
  `const Symbol("")`
unaryMinus → const Symbol
  The symbol corresponding to the name of the unary minus operator.
  `const Symbol("unary-")`